/*====BODY====*/
body {
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 400;
    background:#f2f0f0;
    min-height: auto;

    display: flex;
    flex-direction: column;
    min-height: 100%;
}

h1,h2,h3,h4,h5,h6 {
    margin: 0px;
}

@import url('https://fonts.googleapis.com/css2?family=Monoton&display=swap');

*,
*:after,
*:before {
    box-sizing: border-box;
}

/*====CONTAINER====*/

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto ;

}

/*====HEADER TOP====*/

.logo {
    text-decoration: none;
    color: #fff;
    font-size: 30px;
    font-family: 'Monoton', cursive;
    font-weight: 400;
    padding-left: 10px;

}
.n-link {
    text-decoration: none;
    color: #fff;
    transition: opacity .2s linear;
    margin-left: 25px;
    opacity: 0.7;
}

.n-link:first-child{
    margin-left: 0px;
}

.n-link:hover {
    opacity: 1;
}

.verv {
    margin-left: 10px;
    font-size: 14px;
    padding-top: 3px;
}

.verv-1 {
    margin-left: 35px;
}

.verv-2 {
    margin-left: 35px;
    font-size: 16px;
    padding-top: 3px;
}

.nav-bar {
    display: flex;

    font-size: 18px;
    margin: 0px;
}

.btn {
    background-color: black;
    color: white;
    border: grey solid 2px;
    border-radius: 4px;
    bottom: 1px;
    font-size: 16px;
    margin-left: 25px;
}

.btn-a {
    color: black;
    border: black solid 1px;
    border-radius: 4px;
    bottom: 1px;
    font-size: 16px;
    padding: 5px;
    text-decoration: none;
    margin-right: 10px;
}

.btn:hover {
    background: grey;
    color: white;
}

.btn-a:hover {
    background: black;
    color: white;
}

.a-text {
    text-decoration: none;
    color: white;
    opacity: .7;

    font-weight: 500;
}

.header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 0px;
}

.header_top {
    width: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    z-index: 1000;
    background-color: black;
    position: fixed;

}

/*====HEADER BOTTOM====*/

.header-bottom {
    width: 100%;
    top: 75px;
    left: 0px;
    right: 0px;
    z-index: 999;
    background-color: white;
    position: fixed;
    border-bottom: 1px solid #c7c6c6;
}

.link {
    text-decoration: none;
    color: black;
    opacity: .6;
    transition: opasity .2s linear;
    font-weight: 600;
}

.link:hover{
    opacity: 1;

}

.nav-bar-b {
    display: flex;
    text-transform: uppercase;
    font-size: 16px;
    margin: 0 auto;
    width: 100%;
    justify-content: space-between;
}

.header-b {
    display: flex;
    width: 100%;
    margin: 0 auto;
    padding: 15px 0;
    align-items: center;
}

/*====FOOTER====*/

.footer {
  padding-top: 80px;
  margin-top: auto;
  /* position: fixed; */
   left:0px;
   bottom:0px;
   height: auto;
   width: 100%;
}

.footer::before{
    margin-top: 40px;
    content: "";
    display: block;
    width: 100%;
    max-width: 1200px;
    height: 2px;
    margin: 0 auto;

    background-color: black;
    opacity: .6;
}

.f-item {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 20px 0;
}

.inlin {
    display: inline-block;
    list-style-type: none;
    margin-top: 1em;
    margin-bottom: 1em;
    padding-left: 40px;
}

.link-black {
    text-decoration: none;
    color: black;
    font-weight: 600;
    opacity: 0.7;
}

.link-black-s{
    text-decoration: none;
    color: black;
    transition: opacity .2s linear;
    font-weight: 600;
    opacity: 0.7;
}

.link-black-s:hover {
    opacity: 1;
}

.dv {
    display: flex;
    align-items: center;
    margin: 0px;
}

.dv p:first-child {
    margin: 0px 10px 0px 0px;
}
/*====PAGE====*/

/*.page {
    overflow: hidden;
    display: flex;

    flex-direction: column;
    min-height: 100%;
}
*/

/*====CRIATE_ARTICLE====*/

.box {
    width: 1000px;
    padding: 40px;

    background: #fff;
    text-align: center;
    border-radius: 5px;
}

.box h1 {
    color: black;
    text-transform: uppercase;
    font-weight: 500;
}

.box input[type =text], textarea {
    border: 0;
    background: none;
    display: block;
    margin: 20px auto;
    text-align: center;
    border: 2px solid gray;
    padding: 14px 10px;
    width: 850px;
    outline: none;
    color: black;
    border-radius: 24px ;
    transition: .25s;
    overflow: hidden auto;
}

.box input[type = "submit"]{
    border: 0;
    background: none;
    display: block;
    margin: 20px auto;
    text-align: center;
    border: 2px solid #2ecc71;
    padding: 14px 40px;
    outline: none;
    color: black;
    border-radius: 24px ;
    transition: .25s;
    cursor: pointer;
    width: 200px;
}

.box input[type = "submit"]:hover{
    background: #2ecc71;
}


.lable {
    cursor: default;
}

.lable-1 {
    display: block;
    margin: 0 auto;
    text-align: center;
    padding: 14px 40px;
    color: black;
    cursor: pointer;
}

input[type=file] {
    font-size: 16px;
}

select {
font-size: 16px;
margin: 20px;
}

.hai {
    height: 350px;
}

/*+++++++FILE+++++++*/

.nw {
    display: none;
}

.flash.error {
    padding-top: 10px;
    color: red;
}

.mt {
    margin-top: 150px;

    background-color: #fff;
}

pre {
    white-space: pre-wrap;
    font-family: 'Montserrat', sans-serif;
}

.img {
    width: 1000px;
    border-radius: 4px;
    box-shadow: 8px 8px 10px rgb(0 0 0 / 32%);
}

.text {
    max-width: 1000px;
    padding: 30px 0;
    margin: 0 auto;
}
.line {
    border-bottom: solid 20px #f2f0f0;
}

.text-1 {
    margin: 0 auto;
    max-width: 1000px;
    padding: 30px 0;
}

.title {
    margin: 20px 0px;
}

.bo-line {
    margin-bottom: 30px;
}

.bo-line::before {
    margin: 40px 0;
    content: "";
    display: block;
    width: 100%;
    max-width: 1000px;
    height: 1px;
    margin: 0 auto;
    background-color: black;
}

.m {
    margin: 30px auto;
}

.m-1 {
    margin-left: 5px;
}
.p {
    padding-left: 5px ;
}

.txt {
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    line-height: 1.3em;
    height: 3.9em;
}
.hamburger-menu {
    display: none;
}

/* скрываем чекбокс */
#menu__toggle {
    opacity: 0;
  }

  /* стилизуем кнопку */
  .menu__btn {
    display: flex;
    align-items: center;
    position: fixed;
    top: 25px;
    right: 40px;
    width: 26px;
    height: 26px;
    cursor: pointer;
    z-index: 1;
  }

  /* добавляем "гамбургер" */
  .menu__btn > span,
  .menu__btn > span::before,
  .menu__btn > span::after {
    display: block;
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: #616161;
  }

  .menu__btn > span::before {
    content: '';
    top: -8px;
  }

  .menu__btn > span::after {
    content: '';
    top: 8px;
  }

  /* контейнер меню */
.menu__box {
  display: block;
  position: fixed;
  visibility: hidden;
  top: 0;
  right: 0px;
  width: 300px;

  margin: 0;
  padding: 80px 0;
  list-style: none;
  text-align: center;
  background-color: #ECEFF1;
  box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
}

/* элементы меню */
.menu__item {
  display: block;
  padding: 12px 24px;
  color: #333;

  font-size: 20px;
  font-weight: 600;
  text-decoration: none;
}

.menu__item:hover {
  background-color: #CFD8DC;
}

#menu__toggle:checked ~ .menu__btn > span {
    transform: rotate(45deg);
}

#menu__toggle:checked ~ .menu__btn > span::before {
    top: 0;
    transform: rotate(0);
}

#menu__toggle:checked ~ .menu__btn > span::after {
    top: 0;
    transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu__box {
    visibility: visible;
}

@media screen and (max-width: 1030px) {

    .container{
        width: 100%;
        max-width: 1024px;
        margin: 0 auto;
    }

    .mt {
        margin-top: 100px;
    }

    .img {
        width: 100%;
        border-radius: 4px;
        box-shadow: 8px 8px 10px rgb(0 0 0 / 32%);
        margin: 0 auto;
    }

    .text-1 {
        margin: 0 auto;
        width: auto;
        padding: 30px 0;
    }

    .hamburger-menu {
        display: block;
    }

    .header-bottom {
        display: none;
    }

    .nav-bar {
        display: none;
    }

    .header_top{
        width: auto;
    }

    .f-item {
        display: block;
    }

    .dv{
        margin: 15px 0;
    }

    .box {
        width: auto;
        padding: 30px 0;
    }

    .box input[type =text], textarea {
        width: 80%;
    }

    .lable-1 {
        padding: 0;
    }
  }

